/***************************************************************************
 *   Copyright (C) 2006 by Alexios Beveratos   *
 *   alexios@beveratos.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef GPSTABLEDATA_H
#define GPSTABLEDATA_H

#include <qtable.h>
#include <kurl.h>

//#define pi = 3.1415968
//define radiusEarth = 6378

/**
	@author Alexios Beveratos <alexios.beveratos@lpn.cnrs.fr>
*/
class gpsTableData : public QTable
{
	
	Q_OBJECT
public:
	gpsTableData(QWidget *parent = 0, const char *name = 0);
	~gpsTableData();
	void hideShow();
	
public slots :
		void openGpsFile(const KURL&);    
private:
	void ParseTrackFile(QString);
	double CalculateDistance(int row);
	int CalculateTimeDiff(int row);
	bool hide;
};

#endif
