/***************************************************************************
 *   Copyright (C) 2006 by Alexios Beveratos   *
 *   alexios@beveratos.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef _KGPSIMAGETAG_H_
#define _KGPSIMAGETAG_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kapplication.h>
#include <kmainwindow.h>

#include "kgpsimagetagview.h"

//class KPrinter;
class KURL;

/**
 * This class serves as the main window for kGpsImageTag.  It handles the
 * menus, toolbars, and status bars.
 *
 * @short Main window class
 * @author Alexios Beveratos <alexios.beveratos@lpn.cnrs.fr>
 * @version 0.1
 */
class kGpsImageTag : public KMainWindow
{
    Q_OBJECT
public:
    /**
     * Default Constructor
     */
    kGpsImageTag();

    /**
     * Default Destructor
     */
    virtual ~kGpsImageTag();

protected:
    /**
     * Overridden virtuals for Qt drag 'n drop (XDND)
     */
    virtual void dragEnterEvent(QDragEnterEvent *event);
    virtual void dropEvent(QDropEvent *event);

protected:
    /**
     * This function is called when it is time for the app to save its
     * properties for session management purposes.
     */
    void saveProperties(KConfig *);

    /**
     * This function is called when this app is restored.  The KConfig
     * object points to the session management config file that was saved
     * with @ref saveProperties
     */
    void readProperties(KConfig *);


private slots:
    void optionsPreferences();

    void changeStatusbar(const QString& text);
    void changeCaption(const QString& text);
    void tagPhotos();
    void SelectAll();

private:
    void setupAccel();
    void setupActions();

private:
    kGpsImageTagView *m_view;

    //KPrinter   *m_printer;
};

#endif // _KGPSIMAGETAG_H_

